RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1980981 - jmc-core: FTBFS due to junit:junit:jar:4.12 Maven dependency [NEEDINFO]
Summary: jmc-core: FTBFS due to junit:junit:jar:4.12 Maven dependency
Keywords:
Status: CLOSED COMPLETED
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: jmc-core
Version: CentOS Stream
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: beta
: ---
Assignee: Joshua Matsuoka
QA Contact: OpenJDK QA
Jacob Taylor Valdez
URL:
Whiteboard:
Depends On:
Blocks: FTBFS.el9.pre-beta
TreeView+ depends on / blocked
 
Reported: 2021-07-10 10:12 UTC by Florian Weimer
Modified: 2024-01-04 09:20 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Technology Preview
Doc Text:
.`jmc-core` and `owasp-java-encoder` available as a Technology Preview RHEL 9 is distributed with the `jmc-core` and `owasp-java-encoder` packages as Technology Preview features for the AMD and Intel 64-bit architectures. `jmc-core` is a library providing core APIs for Java Development Kit (JDK) Mission Control, including libraries for parsing and writing JDK Flight Recording files, and libraries for Java Virtual Machine (JVM) discovery through Java Discovery Protocol (JDP). The `owasp-java-encoder` package provides a collection of high-performance low-overhead contextual encoders for Java. Note that since RHEL 9.2, `jmc-core` and `owasp-java-encoder` are available in the CodeReady Linux Builder (CRB) repository, which you must explicitly enable. See link:https://access.redhat.com/articles/4348511[How to enable and make use of content within CodeReady Linux Builder] for more information.
Clone Of:
Environment:
Last Closed: 2023-04-11 07:28:12 UTC
Type: Bug
Target Upstream Version:
Embargoed:
almacdon: needinfo+
gfialova: needinfo? (jvaldez)


Attachments (Terms of Use)
build.log (16.18 KB, text/plain)
2021-07-29 19:11 UTC, Florian Weimer
no flags Details

Description Florian Weimer 2021-07-10 10:12:56 UTC
A rebuild of jmc-core-7.1.1-5.el9.2 fails with junit-related issues:

[WARNING] The POM for junit:junit:jar:4.12 is missing, no dependency information available
[…]
[ERROR] Failed to execute goal on project common.test: Could not resolve dependencies for project org.openjdk.jmc:common.test:jar:7.1.1: Cannot access central (https://repo.maven.apache.org/maven2) in offline mode and the artifact junit:junit:jar:4.12 has not been downloaded from it before. -> [Help 1]

Comment 1 Florian Weimer 2021-07-29 19:11:39 UTC
Created attachment 1809087 [details]
build.log

Comment 10 Tuomo Soini 2022-06-22 10:00:44 UTC
Adding missing build requirement fixes both packages.

BuildRequires:  mvn(junit:junit)

Comment 37 RHEL Program Management 2023-04-11 07:28:12 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.